# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.25
# 

Name:       qmf

# >> macros
# << macros

Summary:    Qt Messaging Framework (QMF)
Version:    4.0.1
Release:    1
Group:      System/Libraries
License:    LGPLv2.1 with exception or GPLv3
URL:        http://qt.gitorious.org/qt-labs/messagingframework
Source0:    %{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(accounts-qt)
BuildRequires:  pkgconfig(libsignon-qt)
BuildRequires:  qt-devel-tools
BuildRequires:  fdupes

%description
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.


%package devel
Summary:    Qt Messaging Framework (QMF) - development files
Group:      Development/Libraries
Requires:   libqmfmessageserver1 = %{version}
Requires:   libqmfutil1 = %{version}
Requires:   libqmfclient1 = %{version}

%description devel
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the development files needed to build Qt applications
using Qt Messaging Framework libraries.


%package -n libqmfmessageserver1
Summary:    Qt Messaging Framework (QMF) message server support library
Group:      System/Libraries
Requires:   libqtsql4-sqlite
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libqmfmessageserver1
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The MessageServer application is a daemon, designed to run continuously while
providing services to client applications. It provides messaging transport
functionality, communicating with external servers on behalf of Messaging
Framework client applications. New types of messaging (such as Instant
Messages or video messages) can be handled by the server application without
modification to existing client applications.

This package contains:
 - the message server support library. It provides assistance in developing GUI
   clients that access messaging data.
 - a server application supporting multiple messaging transport mechanisms.


%package -n libqmfutil1
Summary:    Qt Messaging Framework (QMF) messaging client utility library
Group:      System/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libqmfutil1
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the messaging client utility library. It provides
assistance in developing plugins for the Message Server daemon.


%package -n libqmfclient1
Summary:    Qt Messaging Framework (QMF) client library
Group:      System/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libqmfclient1
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The Client library provides classes giving access to all messages stored on
the device, via a uniform interface. It simplifies the task of creating
messaging client applications, and permits other Messaging Framework
applications to interact with messaging data where appropriate. New types of
messages can be supported by the library without modification to existing
client applications.

This package contains a library for developing applications that work with
messages.


%package examples
Summary:    Qt Messaging Framework (QMF) examples
Group:      System/X11

%description examples
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The Messages example client application provides an implementation of standard
functionality for creating and viewing messages.

This package contains an example client application supporting common
messaging functionality.


%package tests
Summary:    Qt Messaging Framework (QMF) tests
Group:      System/X11

%description tests
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the tests for Qt Messaging Framework (QMF).


%package doc
Summary:    Qt Messaging Framework (QMF) - documentation
Group:      Documentation
BuildArch:    noarch

%description doc
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the documentation for Qt Messaging Framework (QMF).



%prep
%setup -q -n %{name}-%{version}/qmf
# >> setup
# << setup

%build
# >> build pre
# << build pre

%qmake  \
    QMF_INSTALL_ROOT=%{_prefix} \
    DEFINES+=QMF_ENABLE_LOGGING \
    CONFIG+=syslog

make %{?jobs:-j%jobs}

# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%qmake_install

# >> install post
# << install post

%fdupes  %{buildroot}/%{_includedir}

%post -n libqmfmessageserver1 -p /sbin/ldconfig

%postun -n libqmfmessageserver1 -p /sbin/ldconfig

%post -n libqmfutil1 -p /sbin/ldconfig

%postun -n libqmfutil1 -p /sbin/ldconfig

%post -n libqmfclient1 -p /sbin/ldconfig

%postun -n libqmfclient1 -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
# >> files devel
%{_includedir}/qmfmessageserver/qmail*.h
%{_includedir}/qmfclient/qloggers.h
%{_includedir}/qmfclient/qlogsystem.h
%{_includedir}/qmfclient/qmail*.h
%{_includedir}/qmfclient/qprivateimplementation.h
%{_includedir}/qmfclient/qprivateimplementationdef.h
%{_includedir}/qmfclient/sso*.h
%{_libdir}/libqmfmessageserver.prl
%{_libdir}/libqmfmessageserver.so
%{_libdir}/libqmfutil.so
%{_libdir}/libqmfclient.prl
%{_libdir}/libqmfclient.so
%{_libdir}/pkgconfig/qmfmessageserver.pc
%{_libdir}/pkgconfig/qmfclient.pc
# << files devel

%files -n libqmfmessageserver1
%defattr(-,root,root,-)
# >> files libqmfmessageserver1
%{_bindir}/messageserver
%{_libdir}/libqmfmessageserver.so.*
%{_libdir}/qmf/plugins/messageservices/libimap.so
%{_libdir}/qmf/plugins/messageservices/libpop.so
%{_libdir}/qmf/plugins/messageservices/libqmfsettings.so
%{_libdir}/qmf/plugins/messageservices/libsmtp.so
# << files libqmfmessageserver1

%files -n libqmfutil1
%defattr(-,root,root,-)
# >> files libqmfutil1
%{_libdir}/libqmfutil.so.*
# << files libqmfutil1

%files -n libqmfclient1
%defattr(-,root,root,-)
# >> files libqmfclient1
%{_libdir}/libqmfclient.so.*
%{_libdir}/qmf/plugins/contentmanagers/libqmfstoragemanager.so
%{_libdir}/qmf/plugins/ssoauth/libpasswordplugin.so
%{_datadir}/accounts/*
# << files libqmfclient1

%files examples
%defattr(-,root,root,-)
# >> files examples
%{_bindir}/messagingaccounts
%{_bindir}/qtmail
%{_bindir}/serverobserver
%{_libdir}/qmf/plugins/composers/libemailcomposer.so
%{_libdir}/qmf/plugins/viewers/libgenericviewer.so
# << files examples

%files tests
%defattr(-,root,root,-)
# >> files tests
/opt/tests/qmf/*
# << files tests

%files doc
%defattr(-,root,root,-)
# >> files doc
%doc %{_docdir}/qmf/qch/qmf.qch
# << files doc
